## org.eclipse.ocl.options
Interface Option<T>

Type Parameters:
  `T` - the type of the option's value

All Known Implementing Classes:
  BasicOption, ProblemOption

    public interface Option<T>

Interface implemented by the options that can be applied to `Customizable` entities such as OCL environments.

Since:
  1.2
See Also:
  `Customizable`

Method Summary
`T` `getDefaultValue()` Obtains the option's default value.
`String` `getKey()` Obtains my string key, which may be used for persistence in a preference store.

Method Detail

### getKey

    String getKey()

  Obtains my string key, which may be used for persistence in a preference store.

  Returns:
    my key. Is never `null`

### getDefaultValue

    T getDefaultValue()

  Obtains the option's default value.

  Returns:
    my default value, which default-default is `null`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.